Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.realmstat
Class RealmData

    java.lang.Object
      com.rsa.authagent.authapi.realmstat.RealmData

    public class RealmData

extends java.lang.Object

A container for all the information required to communicate with the ACE/Server.

Constructor Summary
`RealmData(AgentProperties agProps)` Private constructor.

Method Summary
`AgentConfig` | `getAgentConfig()` Retrieves the IP address of the Agent host.
`RealmLoadBalance` | `getRealmLoadBalance()`
`RealmStatus` | `getRealmStatus()` Retrieves statues of the replicas in the ACE/Server realm.
`ServerStatusImp` | `getServerStatus()` Retrieves a snapshot of the statuses of the replicas along with the configuration information.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealmData

    public RealmData(AgentProperties agProps)
              throws DataAccessorException

  Private constructor.

  Throws:
    `DataAccessorException`

Method Detail

### getRealmStatus

    public RealmStatus getRealmStatus()

  Retrieves statues of the replicas in the ACE/Server realm.

  Returns:
    the RealmStatus object.

### getAgentConfig

    public AgentConfig getAgentConfig()

  Retrieves the IP address of the Agent host.

  Returns:
    the IP address.

### getServerStatus

    public ServerStatusImp getServerStatus()

  Retrieves a snapshot of the statuses of the replicas along with the configuration information. TODO: read it from the real sdstatus file.

  Returns:
    the ServerStatus object.

### getRealmLoadBalance

    public RealmLoadBalance getRealmLoadBalance()

  Returns:
    Returns the realmLoadBalance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.